﻿using System;

namespace EnvelopeCreatorProject.Models.Recipients.IdentityCheck
{
    public class SMSAuthType : AuthType, IIdentityCheck
    {
        public new string Build(DocuSignAPI.APIService.Recipient recipient)
        {
            base.Build(recipient);
            _objRecipient.AppendLine("\"smsAuthentication\":{");
            _objRecipient.AppendLine("\"senderProvidedNumbers\":[");
            _objRecipient.AppendLine(String.Join(",", ((SMSIdentityCheckRecipient)recipient).SMSAuthentication.SenderProvidedNumbers));
            _objRecipient.AppendLine("]");
            _objRecipient.Append("},");
            return _objRecipient.ToString();
        }
    }
}
