﻿using DocuSignAPI.APIService;
using System.Collections.Generic;

namespace EnvelopeCreatorProject.Models.Recipients
{
    internal class SignHereSigner : SignerRecipients
    {
        internal SignHereSigner(int totalCount, List<Tab> signHereTabs, List<Tab> initialsTabs, List<Tab> dataSignFields)
            : base(totalCount, signHereTabs, initialsTabs, dataSignFields) { }

        protected override void AddData(Recipient objRecipient)
        {
            _recipients.AppendLine("\"email\":\"" + objRecipient.Email + "\",");
            _recipients.AppendLine("\"name\":\"" + objRecipient.UserName + "\",");
            AddRecipientCommonInfo(objRecipient);
            AddSignatureInfoTo(objRecipient);            
            AddSignTabs(objRecipient);           
        }

         internal override string GetRecipientsData() { 
             return "\"signers\":[" + base.GetRecipientsData() + "]"; 
         }
        
    }
}
